{{page-title (capitalize (t this.title))}}

<div class='container mt-4 mb-5'>
  <div class='row mt-5'>
    <div class="col col-xs-12 col-md-2">
      <div class="card">
        <div class="card-header text-primary">
          <strong>
            {{capitalize (t 'import file to')}}
            {{@model.map.name}}
          </strong>
        </div>
        <div class="list-group list-group-flush">
          <button type="button" class="list-group-item list-group-item-action active" aria-current="true">
            {{capitalize (t 'select a file')}}
          </button>
          <button type="button" class="list-group-item list-group-item-action" disabled>{{capitalize (t 'field matching')}}</button>
          <button type="button" class="list-group-item list-group-item-action" disabled>{{capitalize (t 'preview')}}</button>
          <button type="button" class="list-group-item list-group-item-action" disabled>{{capitalize (t 'import')}}</button>
        </div>
      </div>
    </div>
    <div class='col'>
      <Manage::Header @title={{capitalize (t this.title)}}>
        <Breadcrumbs @value={{this.breadcrumbs}} />
      </Manage::Header>

      {{#if this.isUploading}}
        <div class="progress">
          <div class="progress-bar" role="progressbar" style={{this.uploadProgressStyle}} aria-valuenow={{this.uploadProgress}} aria-valuemin="0" aria-valuemax="100"></div>
        </div>
      {{else}}
        <Input::File @onChange={{this.fileSelect}}/>
      {{/if}}

      {{#unless this.isUploading}}
        <button type="button" class="btn btn-primary btn-upload" {{on "click" this.startUpload}} disabled={{this.hasNoSelection}}>
          {{capitalize (t 'upload')}}
        </button>
      {{/unless}}
    </div>
  </div>
</div>